
import Vue from 'vue'
import api from '@/api/api.js'
import utils from './utils/utils.js'

import uvUI from '@/uni_modules/uv-ui-tools'
Vue.use(uvUI);

// 当前环境
const type = 'prod'


// 环境配置
const config = {
	dev : {
		// baseUrl : 'http://test-lzx.natapp1.cc/popularize-admin',
		baseUrl : 'https://popularize-admin.hhlm1688.com/popularize-admin',
		// baseUrl : 'http://h5.xzaiyp.top/popularize-admin',
	},
	prod : {
		// baseUrl : 'http://test-lzx.natapp1.cc/popularize-admin',
		// baseUrl : 'http://h5.xzaiyp.top/popularize-admin',
		baseUrl : 'https://popularize-admin.hhlm1688.com/popularize-admin',
	}
}


// 默认配置
const defaultConfig = {
	mapKey : 'XMBBZ-BCPCV-SXPPQ-5Y7MY-PHZXK-YFFVU',
	aliOss : {
		url : 'https://image.hhlm1688.com/',
		config : {
			//桶的地址
			region: 'oss-cn-shenzhen',
			//id
			accessKeyId:'LTAI5tQSs47izVy8DLVdwUU9',
			//密钥
			accessKeySecret:'qHI7C3PaXYZySr84HTToviC71AYlFq',
			//桶的名字
			bucket: 'hanhaiimage',
			endpoint:'oss-cn-shenzhen.aliyuncs.com',
		}
	},
}


uni.$uv.setConfig({
	// 修改$uv.config对象的属性
	config: {
		// 修改默认单位为rpx，相当于执行 uni.$uv.config.unit = 'rpx'
		unit: 'rpx'
	},
})

Vue.prototype.$config = utils.deepMergeObject(defaultConfig, config[type])

Vue.prototype.$api = api

export default Vue.prototype.$config